Create And Assign Task
curl --request POST \
--url https://api.example.com/tasks/create-and-assign/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instruction": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"assignee": "<string>",
"plan": {
"tool": "<string>",
"rationale": "<string>",
"expectation": "<string>"
},
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cancel_requested": false,
"context": {},
"task_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"conversation_ctx": {
"entities": []
}
}
'import requests
url = "https://api.example.com/tasks/create-and-assign/"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instruction": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"assignee": "<string>",
"plan": {
"tool": "<string>",
"rationale": "<string>",
"expectation": "<string>"
},
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cancel_requested": False,
"context": {},
"task_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"conversation_ctx": { "entities": [] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
group_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
instruction: '<string>',
parent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
assignee: '<string>',
plan: {tool: '<string>', rationale: '<string>', expectation: '<string>'},
conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cancel_requested: false,
context: {},
task_template_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
organisation_id: '<string>',
conversation_ctx: {entities: []}
})
};
fetch('https://api.example.com/tasks/create-and-assign/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instruction": "<string>",
"organisation_id": "<string>",
"result": "<string>",
"effectiveness": {
"assessment": "<string>",
"implications": "<string>",
"is_complete": false
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"assignee": "<string>",
"plan": {
"tool": "<string>",
"rationale": "<string>",
"expectation": "<string>"
},
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cancel_requested": false,
"context": {},
"task_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}tasks
Create And Assign Task
Create a task then immediately dispatch it to the assigned agent.
POST
/
tasks
/
create-and-assign
/
Create And Assign Task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I